## exmh 2.1.1

=== Makefile ===
# Create a tar distribution for exmh

# Remember to update exmh.install when changing version numbers.

VERSION=2.1.1

srctar: version htmltar
	echo ./CVS > Tar.exclude
	echo ./lib/CVS >> Tar.exclude
	echo ./misc/CVS >> Tar.exclude
	echo ./misc/RPM/CVS >> Tar.exclude
	echo ./lib/html/CVS >> Tar.exclude
	echo ./lib/html/Tar.exclude >> Tar.exclude
	echo ./.exmhinstall >> Tar.exclude
	echo ./Tar.exclude >> Tar.exclude
	echo ./html-$(VERSION).tar.gz >> Tar.exclude
	echo ./exmh-$(VERSION).tar.gz >> Tar.exclude
	rm -rf /tmp/exmh-$(VERSION)
	mkdir /tmp/exmh-$(VERSION)
	tar cvfX - Tar.exclude . | (cd /tmp/exmh-$(VERSION) ; tar xf -)
	(cd /tmp ; tar cf - exmh-$(VERSION) | gzip > /tmp/exmh-$(VERSION).tar.gz)
	cp /tmp/exmh-$(VERSION).tar.gz .

clean:
	rm -f ./Tar.exclude
	rm -f ./exmh-$(VERSION).tar.gz
	rm -f ./html-$(VERSION).tar.gz
	rm -f ./exmh-$(VERSION)-1.noarch.rpm
	rm -f ./exmh-$(VERSION)-1.src.rpm

rpm:	srctar
	cp exmh-$(VERSION).tar.gz /usr/src/redhat/SOURCES/
	cp misc/RPM/exmh-$(VERSION)-conf.patch /usr/src/redhat/SOURCES/
	cp misc/RPM/exmh.wmconfig /usr/src/redhat/SOURCES/
	cp misc/RPM/exmh.spec /usr/src/redhat/SPECS/
	(cd /usr/src/redhat/SPECS/ ; rpm -ba exmh.spec)
	cp /usr/src/redhat/RPMS/noarch/exmh-$(VERSION)-1.noarch.rpm .
	cp /usr/src/redhat/SRPMS/exmh-$(VERSION)-1.src.rpm .


version: 
	./PatchVersion $(VERSION) < exmh.install > exmh.install.new
	mv exmh.install.new exmh.install

ftpdist:
	scp exmh-$(VERSION).tar.gz www:~ftp/pub/tcl/exmh
	scp html-$(VERSION).tar.gz www:~ftp/pub/tcl/exmh
	scp exmh.README www:~ftp/pub/tcl/exmh
	scp lib/html/exmh.README.html www:~ftp/pub/tcl/exmh

htmltar:
	echo CVS > lib/html/Tar.exclude
	echo Tar.exclude >> lib/html/Tar.exclude
	cp exmh.CHANGES lib/html/exmh.CHANGES.txt
	(cd lib/html ; tar cfX - ./Tar.exclude . | gzip > ../../html-$(VERSION).tar.gz)

install: srctar ftpdist

## exmh 2.7.0

=== Makefile ===
# Create a tar distribution for exmh

# Remember to update exmh.install when changing version numbers.

VERSION=2.7.0
RELDATE:=$(shell grep '^set date' ./exmh.install | cut -f3 -d" ")
SNAPRELDATE:=$(shell /bin/date +%m/%d/%Y)
SNAPDATE=`/bin/date +%Y%m%d`

srctar: version realsrctar

realsrctar: htmltar
	echo ./CVS > Tar.exclude
	echo ./lib/CVS >> Tar.exclude
	echo ./misc/CVS >> Tar.exclude
	echo ./misc/RPM/CVS >> Tar.exclude
	echo ./lib/html/CVS >> Tar.exclude
	echo ./lib/bitmaps/CVS >> Tar.exclude
	echo ./lib/html/Tar.exclude >> Tar.exclude
	echo ./.exmhinstall >> Tar.exclude
	echo ./Tar.exclude >> Tar.exclude
	echo ./html-\*.tar.gz >> Tar.exclude
	echo ./exmh-\*.tar.gz >> Tar.exclude
	echo ./exmh-\*.src.rpm >> Tar.exclude
	echo ./exmh-\*.noarch.rpm >> Tar.exclude
	echo ./rpmroot >> Tar.exclude
	echo ./exmh-$(VERSION) >> Tar.exclude
	echo ./exmh-$(VERSION).tar.gz >> Tar.exclude
	echo ./html-$(VERSION).tar.gz >> Tar.exclude
	rm -rf ./exmh-$(VERSION)
	mkdir ./exmh-$(VERSION)
	tar cvfX - Tar.exclude . | (cd ./exmh-$(VERSION) ; tar xf -)
	(tar cf - exmh-$(VERSION) | gzip > ./exmh-$(VERSION).tar.gz)
	rm -rf ./exmh-$(VERSION)

clean:
	rm -f ./Tar.exclude
	rm -f ./lib/html/Tar.exclude
	rm -f ./exmh-*.tar.gz
	rm -f ./html-*.tar.gz
	rm -f ./exmh-*.noarch.rpm
	rm -f ./exmh-*.src.rpm
	rm -f ./lib/html/exmh.CHANGES.txt
	rm -rf ./rpmroot/
	rm -rf ./exmh-$(VERSION)

rpm:	realsrctar
	mkdir -p rpmroot/{SOURCES,SPECS,BUILDROOT,RPMS/noarch,SRPMS,BUILD}
	cp exmh-$(VERSION).tar.gz rpmroot/SOURCES/
	sed -e 's/VERSION/$(VERSION)/g' -e 's#RELDATE#$(RELDATE)#g' < misc/RPM/exmh-conf.patch > rpmroot/SOURCES/exmh-$(VERSION)-conf.patch
	cp misc/RPM/exmh.wmconfig rpmroot/SOURCES/
	cp misc/RPM/exmh.desktop rpmroot/SOURCES/
	sed 's/EXMHVERSION/$(VERSION)/g' < misc/RPM/exmh.spec > rpmroot/SPECS/exmh.spec
	rpmbuild -ba --define "_topdir `pwd`/rpmroot" --buildroot `pwd`/rpmroot/BUILDROOT rpmroot/SPECS/exmh.spec
	cp rpmroot/RPMS/noarch/exmh-$(VERSION)-?.noarch.rpm .
	cp rpmroot/RPMS/noarch/exmh-misc-$(VERSION)-?.noarch.rpm .
	cp rpmroot/SRPMS/exmh-$(VERSION)-?.src.rpm .

snaprpm:
	make rpm VERSION=$(VERSION)_$(SNAPDATE) RELDATE=$(SNAPRELDATE)

snaptar:
	make realsrctar VERSION=$(VERSION)_$(SNAPDATE)

version: 
	./PatchVersion $(VERSION) < exmh.install > exmh.install.new
	mv exmh.install.new exmh.install

ftpdist:
	scp exmh-$(VERSION).tar.gz www:~ftp/pub/tcl/exmh
	scp html-$(VERSION).tar.gz www:~ftp/pub/tcl/exmh
	scp exmh.README www:~ftp/pub/tcl/exmh
	scp lib/html/exmh.README.html www:~ftp/pub/tcl/exmh

htmltar:
	echo CVS > lib/html/Tar.exclude
	echo Tar.exclude >> lib/html/Tar.exclude
	cp exmh.CHANGES lib/html/exmh.CHANGES.txt
	(cd lib/html ; tar cfX - ./Tar.exclude . | gzip > ../../html-$(VERSION).tar.gz)

install: srctar ftpdist

## exmh 2.7.2

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,20 @@
 # Create a tar distribution for exmh
 
-# Remember to update exmh.install when changing version numbers.
+# To change the version,
+# change this variable and type "make version"
+VERSION=2.7.2
 
-VERSION=2.7.0
 RELDATE:=$(shell grep '^set date' ./exmh.install | cut -f3 -d" ")
 SNAPRELDATE:=$(shell /bin/date +%m/%d/%Y)
 SNAPDATE=`/bin/date +%Y%m%d`
 
-srctar: version realsrctar
+# Don't add "version" to the srctar production because it may
+# re-write files we've tinkered with by hand (e.g., lib/html/exmh.README.html)
+
+srctar: realsrctar
 
 realsrctar: htmltar
-	echo ./CVS > Tar.exclude
-	echo ./lib/CVS >> Tar.exclude
-	echo ./misc/CVS >> Tar.exclude
-	echo ./misc/RPM/CVS >> Tar.exclude
-	echo ./lib/html/CVS >> Tar.exclude
-	echo ./lib/bitmaps/CVS >> Tar.exclude
+	find . -name CVS > Tar.exclude
 	echo ./lib/html/Tar.exclude >> Tar.exclude
 	echo ./.exmhinstall >> Tar.exclude
 	echo ./Tar.exclude >> Tar.exclude
@@ -63,6 +62,7 @@
 	make realsrctar VERSION=$(VERSION)_$(SNAPDATE)
 
 version: 
+	./version.csh
 	./PatchVersion $(VERSION) < exmh.install > exmh.install.new
 	mv exmh.install.new exmh.install

## exmh 2.8.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # To change the version,
 # change this variable and type "make version"
-VERSION=2.7.2
+VERSION=2.8.0
 
 RELDATE:=$(shell grep '^set date' ./exmh.install | cut -f3 -d" ")
 SNAPRELDATE:=$(shell /bin/date +%m/%d/%Y)
@@ -67,10 +67,10 @@
 	mv exmh.install.new exmh.install
 
 ftpdist:
-	scp exmh-$(VERSION).tar.gz www:~ftp/pub/tcl/exmh
-	scp html-$(VERSION).tar.gz www:~ftp/pub/tcl/exmh
-	scp exmh.README www:~ftp/pub/tcl/exmh
-	scp lib/html/exmh.README.html www:~ftp/pub/tcl/exmh
+	scp exmh-$(VERSION).tar.gz www.tcl.tk:~ftp/pub/tcl/exmh
+	scp html-$(VERSION).tar.gz www.tcl.tk:~ftp/pub/tcl/exmh
+	scp exmh.README www.tcl.tk:~ftp/pub/tcl/exmh
+	scp lib/html/exmh.README.html www.tcl.tk:~ftp/pub/tcl/exmh
 
 htmltar:
 	echo CVS > lib/html/Tar.exclude

=== debian/changelog ===
exmh (1:2.8.0-5) unstable; urgency=low

  * lifted standards version, updated build rules 
    for reproducible builds (closes: #776953)

 -- Alexander Zangerl <az@debian.org>  Thu, 05 Feb 2015 22:32:50 +1000

exmh (1:2.8.0-4) unstable; urgency=low

  * changed tcl/tk dependencies to unversioned metapackage (closes: #725688) 

 -- Alexander Zangerl <az@debian.org>  Tue, 08 Oct 2013 13:10:21 +1000

exmh (1:2.8.0-3) unstable; urgency=low

  * changed to quilt 3.0 source format (closes: #671642)
  * reviewed some ancient bug reports (closes: #342510)

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 12:49:03 +1000

exmh (1:2.8.0-2) unstable; urgency=low

  * applied a few patches from upstream cvs for better
    compatibility with tcl/tk8.6.

 -- Alexander Zangerl <az@debian.org>  Wed, 11 Sep 2013 22:33:53 +1000

exmh (1:2.8.0-1) unstable; urgency=low

  * lifted standards version
  * removed some minor packaging gotchas, 
    removed long-dead metamail, expectk, pgp from dependencies
    cleaned the uploaders list (closes: #717062)

 -- Alexander Zangerl <az@debian.org>  Wed, 17 Jul 2013 20:39:26 +1000

exmh (1:2.8.0~rc1-2) unstable; urgency=low

  * fixed MDN content, now uses correct hostname
    also rfc-compliant when used with nmh 1.5++


 -- Alexander Zangerl <az@debian.org>  Mon, 21 May 2012 20:13:55 +1000

exmh (1:2.8.0~rc1-1) unstable; urgency=low

  * New upstream release (a "candidate release" which is nevertheless
    rock-solid and ready for daily use)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Fri, 27 Apr 2012 18:52:17 +1000

exmh (1:2.7.2-24) unstable; urgency=low

  * made collection of audit log a configurable option
  * added fix for unsuitable gpg algorithm preferences
  * repaired date/time pattern that broke address db expiration

 -- Alexander Zangerl <az@debian.org>  Fri, 20 Jan 2012 19:23:39 +1000

exmh (1:2.7.2-23) unstable; urgency=low

  * reworked spell checking functionality and improved docs.
    main spell checking options are now all on the sedit preferences
    page. now provide better integration for i-spell module. 

 -- Alexander Zangerl <az@debian.org>  Sun, 24 Apr 2011 13:21:40 +1000

exmh (1:2.7.2-22) unstable; urgency=low

  * fix for tk8.5's troubles with not-quite-xlfd fontnames like 'fixed'
    tk now interprets this as a font face, not an xlfd shortcut, and
    you get messed up fonts (mainly way too large).
    the fix is to recreate "fixed" as a tk named font for tk 8.5++.
    
 -- Alexander Zangerl <az@debian.org>  Fri, 01 Apr 2011 01:06:59 +1000

exmh (1:2.7.2-21) unstable; urgency=low

  * applied patch for broken handling 
    of some rfc2369 list-* headers

 -- Alexander Zangerl <az@debian.org>  Thu, 02 Sep 2010 12:42:40 +1000

exmh (1:2.7.2-20) unstable; urgency=low

  * developed fix for incorrectly escaped "<" when editing
    text/enriched mails (closes: #175193)

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Aug 2010 18:18:55 +1000

exmh (1:2.7.2-19) unstable; urgency=low

  * pulled in some cvs fixes for cooperation with tcl 8.5 
  * lifted standards version
  * updated dependencies a little

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Aug 2010 14:17:44 +1000

exmh (1:2.7.2-18) unstable; urgency=low

  * set hostname on non-bash shells (closes: #530077)

 -- Alexander Zangerl <az@debian.org>  Sun, 24 May 2009 13:20:55 +1000

exmh (1:2.7.2-17) unstable; urgency=low

  * gpg uses gpg.conf as configfile nowadays (was: options)
    exmh needs to look for the correct file (closes: #510834)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Thu,  8 Jan 2009 12:02:37 +1000

exmh (1:2.7.2-16) unstable; urgency=low

  * reworked recode support.

 -- Alexander Zangerl <az@debian.org>  Wed, 18 Jun 2008 21:56:06 +1000

exmh (1:2.7.2-15) unstable; urgency=low

  * added option for better gpg-agent support

 -- Alexander Zangerl <az@debian.org>  Fri, 13 Jun 2008 19:48:09 +1000

exmh (1:2.7.2-14) unstable; urgency=low

  * applied patch for fd leakage from Marion Hakanson:
    using the internal mime qp/base64 decoder caused file descriptors
    to be leaked.
  * added recommendation for recode or metamail: the internal qp/base64 decoder
    is woefully slow; metamail's mimencode was the perfect, tiny tool and
    nothing else in debian is currently a/v to do this job :-(
    the exmh code was changed to prefer recode, fall back to mimencode
    or use the internal decoder as a final fallback.

 -- Alexander Zangerl <az@debian.org>  Sat, 31 May 2008 20:25:47 +1000

exmh (1:2.7.2-13) unstable; urgency=low

  * lifted the standards version, cleaned up control file
  * updated menu category, fixed some manpage warnings
  * minor fix to make links in inline-displayed html clickable,
    consolidated the status display for hovering over urls

 -- Alexander Zangerl <az@debian.org>  Thu, 28 Feb 2008 10:54:24 +1000

exmh (1:2.7.2-12) unstable; urgency=low

  * removed dependency on metamail. we're not losing anything,
    exmh has reasonable mailcap handling built-in anyway.

 -- Alexander Zangerl <az@debian.org>  Wed, 12 Dec 2007 11:45:50 +1000

exmh (1:2.7.2-11) unstable; urgency=low

  * fixed obnoxious scan cache corruption bug

 -- Alexander Zangerl <az@debian.org>  Sun,  1 Jul 2007 13:29:56 +1000

exmh (1:2.7.2-10) unstable; urgency=low

  * added watch file, updated standards version
  * updated menu location

 -- Alexander Zangerl <az@debian.org>  Tue, 10 Apr 2007 18:46:53 +1000

exmh (1:2.7.2-9) unstable; urgency=low

  * fixing problem with stdin/filepath option for the spam learner programs
     which was reintroduced with the last version.
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Thu, 16 Nov 2006 12:28:53 +1000

exmh (1:2.7.2-8) unstable; urgency=low

  * pulled in latest CVS fixes 
  * added glimpse scope option to preferences
  
 -- Alexander Zangerl <az@debian.org>  Mon, 13 Nov 2006 14:25:50 +1000

exmh (1:2.7.2-7) unstable; urgency=low



=== debian/control ===
Source: exmh
Section: mail
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Standards-Version: 3.9.6


Package: exmh
Architecture: all
Depends: tk | wish, tcl | tclsh, nmh | mh, mime-support, xterm
Suggests: expect, compface, gnupg, file, mh-book
Recommends: recode
Homepage: http://www.exmh.org/
Description: extensible X user interface for MH mail
 Exmh uses the regular MH programs to manipulate your mail folders and
 messages.  This means it is compatible with command-line use of MH
 programs, and its actions should be familiar if you are an experienced
 MH user.  If you are a new MH user, then the details of running MH
 programs are hidden behind the graphical interface.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/exmh.conf contains configuration information taken from
# exmh.install.  debian/exmh.conf must be manually generated and
# verified before building the exmh package and updated with each
# new upstream release of exmh.

SHELL = /bin/sh

INSTALL = /usr/bin/install
INSTALL_PROGRAM = $(INSTALL) -m 755 -o root -g root
INSTALL_DATA = $(INSTALL) -m 644 -o root -g root
INSTALL_DIR = $(INSTALL) -d -m 755 -o root -g root

# name and version number of the package
PACKAGE=exmh
VERSION=$(shell sed -n '1s/^.*(\(.*\)).*$$/\1/p' debian/changelog)

DSTDIR=debian/tmp/

BUILD_DATE := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')


config:
	$(checkdir)
	touch stamp-config

build: 
	$(checkdir)
	test -f stamp-config || make -f debian/rules config
	touch stamp-build

clean: 
	$(checkdir)
	-rm -f stamp-config stamp-build
	-rm -rf $(DSTDIR) debian/files* 

binary-arch: checkroot

binary-indep: checkroot
	$(checkdir)
	test -f stamp-build || make -f debian/rules build
	-rm -rf $(DSTDIR)

# make all directories in one go
	$(INSTALL_DIR) $(DSTDIR)/DEBIAN $(DSTDIR)/usr/bin/ $(DSTDIR)/etc/
	$(INSTALL_DIR) $(DSTDIR)/usr/share/menu $(DSTDIR)/usr/lib/exmh
	$(INSTALL_DIR) $(DSTDIR)/usr/share/doc/exmh/html $(DSTDIR)/usr/share/doc/exmh/misc $(DSTDIR)/usr/share/doc/exmh/examples $(DSTDIR)/usr/share/man/man1 $(DSTDIR)/usr/share/exmh/bitmaps/

# the maintainer stuff first
	$(INSTALL_PROGRAM) debian/preinst debian/postinst debian/postrm $(DSTDIR)/DEBIAN/
	$(INSTALL_DATA) debian/conffiles  $(DSTDIR)/DEBIAN/

# configuration file, but vith our current version substituted
	sed -e s/MYVERSION/$(VERSION)/g <debian/exmh.conf >$(DSTDIR)/etc/exmh.conf
	chown root:root $(DSTDIR)/etc/exmh.conf
	chmod 644 $(DSTDIR)/etc/exmh.conf

# binaries. in upstream scheme, the install script massages .MASTER versions
	$(INSTALL_PROGRAM) exmh.MASTER $(DSTDIR)/usr/bin/exmh
	$(INSTALL_PROGRAM) exmh-async.MASTER $(DSTDIR)/usr/share/exmh/exmh-async
	$(INSTALL_PROGRAM) exmh-bg.MASTER $(DSTDIR)/usr/share/exmh/exmh-bg
	$(INSTALL_PROGRAM) ftp.expect.MASTER $(DSTDIR)/usr/share/exmh/ftp.expect
	$(INSTALL_PROGRAM) inc.expect.MASTER $(DSTDIR)/usr/share/exmh/inc.expect
# libraries 
	$(INSTALL_DATA) debian/menu $(DSTDIR)/usr/share/menu/exmh

# everything from lib but the docs, the images, the 
# tclindex (built by postinst), and also not the mime.type (use main one in etc)
	$(INSTALL_DATA) lib/*.tcl  lib/app-defaults*  lib/*.au  lib/PgpDecryptExpect lib/*.exp $(DSTDIR)/usr/lib/exmh/
	$(INSTALL_DATA) lib/*.gif lib/*.bitmap lib/*.mask lib/*.ppm lib/bitmaps/* $(DSTDIR)/usr/share/exmh/bitmaps/
	$(INSTALL_PROGRAM) exmh-strip.MASTER $(DSTDIR)/usr/share/doc/exmh/examples/exmh-strip
	$(INSTALL_PROGRAM) exmhcomp $(DSTDIR)/usr/share/doc/exmh/examples/



# man pages
	$(INSTALL_DATA)	exmh.l $(DSTDIR)/usr/share/man/man1/exmh.1
	-gzip -9frn $(DSTDIR)/usr/share/man/man1

# html documentation goes into html dir, extras go into misc subdir
# others go into main docs area
	$(INSTALL_DATA) lib/html/* $(DSTDIR)/usr/share/doc/exmh/html/	
	# all misc except RPM info
	$(INSTALL_DATA) misc/README* misc/Par150* misc/archiveoldmail misc/cite* misc/comp* misc/exmhwrapper misc/gbuffy* misc/jpilot* misc/locked* misc/mh* misc/netscape-remote* misc/ns* misc/query*  $(DSTDIR)/usr/share/doc/exmh/misc/

	$(INSTALL_DATA) debian/copyright $(DSTDIR)/usr/share/doc/exmh/copyright
	$(INSTALL_DATA) debian/changelog $(DSTDIR)/usr/share/doc/exmh/changelog.Debian
	$(INSTALL_DATA) exmh.CHANGES $(DSTDIR)/usr/share/doc/exmh/changelog
	gzip -9n $(DSTDIR)/usr/share/doc/exmh/changelog*

	$(INSTALL_DATA) debian/README.debian $(DSTDIR)/usr/share/doc/exmh
	$(INSTALL_DATA) exmh.README $(DSTDIR)/usr/share/doc/exmh/README

# build the run-time package
	dpkg-gencontrol -isp
	find '$(DSTDIR)' -depth -newermt '$(BUILD_DATE)' -print0 | \
	xargs -0r touch --no-dereference --date='$(BUILD_DATE)'

	dpkg --build $(DSTDIR) ..

define checkdir
	test -f exmh.MASTER -a -f debian/rules
endef

binary: binary-indep binary-arch

build-arch: build

build-indep: build

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
version=3
ftp://ftp.tcl.tk/pub/tcl/exmh/exmh-(.+)\.tar\.gz

## exmh 2.9.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # To change the version,
 # change this variable and type "make version"
-VERSION=2.8.0
+VERSION=2.9.0
 
 RELDATE:=$(shell grep '^set date' ./exmh.install | cut -f3 -d" ")
 SNAPRELDATE:=$(shell /bin/date +%m/%d/%Y)
@@ -14,7 +14,7 @@
 srctar: realsrctar
 
 realsrctar: htmltar
-	find . -name CVS > Tar.exclude
+	find . -name .git > Tar.exclude
 	echo ./lib/html/Tar.exclude >> Tar.exclude
 	echo ./.exmhinstall >> Tar.exclude
 	echo ./Tar.exclude >> Tar.exclude
@@ -61,8 +61,8 @@
 snaptar:
 	make realsrctar VERSION=$(VERSION)_$(SNAPDATE)
 
-version: 
-	./version.csh
+version:
+	./version.bash
 	./PatchVersion $(VERSION) < exmh.install > exmh.install.new
 	mv exmh.install.new exmh.install

=== debian/changelog ===
exmh (1:2.9.0-8) unstable; urgency=high

  * adjust control for dpkg rootless (closes: #1089321)

 -- Alexander Zangerl <az@debian.org>  Sun, 08 Dec 2024 11:11:57 +1000

exmh (1:2.9.0-7) unstable; urgency=medium

  * added support for fulltext searching with recoll

 -- Alexander Zangerl <az@debian.org>  Fri, 27 Sep 2024 11:10:40 +1000

exmh (1:2.9.0-6) unstable; urgency=medium

  * applied Dale Carstensen's patch that fixes the html state/tag
    issue that appeared with tcl/tk 8.6.11+

 -- Alexander Zangerl <az@debian.org>  Mon, 19 Sep 2022 19:27:48 +1000

exmh (1:2.9.0-5) unstable; urgency=medium

  * adjusted dependencies (closes: #1010323)

 -- Alexander Zangerl <az@debian.org>  Sun, 01 May 2022 18:43:28 +1000

exmh (1:2.9.0-4) unstable; urgency=medium

  * code improvements in mime.tcl, save attachments now works again

 -- Alexander Zangerl <az@debian.org>  Sat, 12 Feb 2022 16:23:46 +1000

exmh (1:2.9.0-3) unstable; urgency=medium

  * minor amendments to reflect that brent welch isn't involved
    with exmh anymore (e.g. no more email registration option)

 -- Alexander Zangerl <az@debian.org>  Thu, 14 Oct 2021 20:29:31 +1000

exmh (1:2.9.0-2) unstable; urgency=medium

  * adjusted code to work with any package providing x-terminal-emulator,
    not just classic xterm itself

 -- Alexander Zangerl <az@debian.org>  Wed, 09 Oct 2019 18:41:57 +1000

exmh (1:2.9.0-1) unstable; urgency=medium

  * new upstream release
  * lifted standards version, updated watch file

 -- Alexander Zangerl <az@debian.org>  Wed, 14 Nov 2018 14:21:22 +1000

exmh (1:2.8.0-7) unstable; urgency=low

  * updated gpg code to use long keyids instead of
    truncating to the short 8-char format.
  * lifted standards version
  * suggest glimpse (now back in main)

 -- Alexander Zangerl <az@debian.org>  Fri, 24 Mar 2017 17:02:00 +1000

exmh (1:2.8.0-6) unstable; urgency=low

  * sound is now disabled by default (closes: #823026)
  * fixed build rules to ship the existing NEWS.debian
  * small adjustment in html display wrt font choice

 -- Alexander Zangerl <az@debian.org>  Sun, 01 May 2016 12:05:41 +1000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: mail
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3.0
+Rules-Requires-Root: binary-targets
 
 
 Package: exmh
 Architecture: all
-Depends: tk | wish, tcl | tclsh, nmh | mh, mime-support, xterm
-Suggests: expect, compface, gnupg, file, mh-book
+Depends: tk | wish, tcl | tclsh, nmh | mh, mailcap, xterm | x-terminal-emulator
+Suggests: expect, compface, gnupg, file, mh-book, recollcmd, glimpse
 Recommends: recode
 Homepage: http://www.exmh.org/
 Description: extensible X user interface for MH mail

=== debian/rules ===
--- 
+++ 
@@ -87,13 +87,13 @@
 	$(INSTALL_DATA) debian/copyright $(DSTDIR)/usr/share/doc/exmh/copyright
 	$(INSTALL_DATA) debian/changelog $(DSTDIR)/usr/share/doc/exmh/changelog.Debian
 	$(INSTALL_DATA) exmh.CHANGES $(DSTDIR)/usr/share/doc/exmh/changelog
-	gzip -9n $(DSTDIR)/usr/share/doc/exmh/changelog*
 
-	$(INSTALL_DATA) debian/README.debian $(DSTDIR)/usr/share/doc/exmh
+	$(INSTALL_DATA) debian/README.Debian debian/NEWS.Debian $(DSTDIR)/usr/share/doc/exmh
 	$(INSTALL_DATA) exmh.README $(DSTDIR)/usr/share/doc/exmh/README
+	gzip -9n $(DSTDIR)/usr/share/doc/exmh/changelog* $(DSTDIR)/usr/share/doc/exmh/NEWS.Debian
 
 # build the run-time package
-	dpkg-gencontrol -isp
+	dpkg-gencontrol
 	find '$(DSTDIR)' -depth -newermt '$(BUILD_DATE)' -print0 | \
 	xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
